<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema targetNamespace="http://www.hkicl.com.hk/tr" elementFormDefault="qualified"
	attributeFormDefault="unqualified" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
	xmlns:fpml="http://www.fpml.org/FpML-5/reporting" xmlns="http://www.hkicl.com.hk/tr">

	<xsd:import namespace="http://www.fpml.org/FpML-5/reporting"
		schemaLocation="hkicl-tr-fpml-extended.xsd"/>

	<xsd:complexType name="CounterpartyOrigin">
		<xsd:annotation>
			<xsd:documentation xml:lang="en">Indicates whether a transaction was done on behalf of a customer or house account.</xsd:documentation>
		</xsd:annotation>
		<xsd:simpleContent>
			<xsd:extension base="fpml:Scheme">
				<xsd:attribute name="counterpartyOriginScheme" type="xsd:anyURI"
					default="http://www.hkicl.com.hk/scheme/hktr/counterparty-origin" use="optional"
				/>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>

	<xsd:complexType name="IndustrialSector">
		<xsd:annotation>
			<xsd:documentation xml:lang="en">Used to describe whether the trade party is a Corporate or an Individual.</xsd:documentation>
		</xsd:annotation>
		<xsd:simpleContent>
			<xsd:extension base="fpml:Scheme">
				<xsd:attribute name="industrialSectorScheme" type="xsd:anyURI"
					default="http://www.hkicl.com.hk/scheme/hktr/industrial-sector" use="optional"/>
			</xsd:extension>
		</xsd:simpleContent>
	</xsd:complexType>

	<xsd:complexType name="PartyTradeInformation">
		<xsd:complexContent>
			<xsd:extension base="fpml:PartyTradeInformation">
				<xsd:sequence>
					<xsd:element name="specialTerms" type="xsd:string" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>The special terms</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="cleared" type="xsd:boolean" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>An indicator of whether a contract has been cleared at the time when the trade is reported.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="counterpartyOrigin" type="CounterpartyOrigin" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>Indicates whether a transaction was done on behalf of a customer or house account.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="parentOriginator" type="fpml:PartyReference" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>The parent company of the originator.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="parentCounterparty" type="fpml:PartyReference" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>The parent company of the counter party.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="industrialSector" type="IndustrialSector">
						<xsd:annotation>
							<xsd:documentation>Used to describe whether the trade party is a Corporate or an Individual.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="clearingExemption" type="xsd:boolean" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>Indicates whether one or more counterparties to the contract transaction exempted from clearing.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="referenceBranch" type="xsd:string" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>Indication of the the branch of trade party. This field content is visible to counteparty in HKTR.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="maintenanceMargin" type="fpml:NonNegativeMoney" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">The maintenance margin requirement that has been required by the parties.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="variationMargin" type="fpml:NonNegativeMoney" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">The amount that is paid daily in order to mark the transaction to market.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="priceNotation" type="PriceNotation" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Pricing information for the trade.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="remarks1" type="xsd:normalizedString" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Remarks 1.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="remarks2" type="xsd:normalizedString" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Remarks 2.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="compression" type="xsd:boolean" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation>Indicates whether compression is made on this trade.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
					<xsd:element name="offshoreCurrencyIndicator" type="xsd:normalizedString" minOccurs="0">
						<xsd:annotation>
							<xsd:documentation xml:lang="en">Offshore currency information.</xsd:documentation>
						</xsd:annotation>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>

	<xsd:complexType name="PriceNotation">
		<xsd:annotation>
			<xsd:documentation xml:lang="en">The premium, yield, spread or rate, depending on the type of swap, that is calculated at affirmation and nets to a present value of zero at execution. The pricing characteristic shall not include any premiums associated with margin, collateral, independent amounts, reconcilable post-execution events, options on a swap, or other non-economic characteristics. The format in which the pricing characteristic is real-time reported to the public shall be the format commonly sought by market participants for each particular market or contract.</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="priceType" type="xsd:normalizedString" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">Describes how to interpret the quoted price.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
			<xsd:element name="price" type="xsd:normalizedString" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation xml:lang="en">The premium, yield, spread or rate, depending on the type of swap, that is calculated at affirmation and nets to a present value of zero at execution. The pricing characteristic shall not include any premiums associated with margin, collateral, independent amounts, reconcilable post-execution events, options on a swap, or other non-economic characteristics. The format in which the pricing characteristic is real-time reported to the public shall be the format commonly sought by market participants for each particular market or contract.</xsd:documentation>
				</xsd:annotation>
			</xsd:element>
		</xsd:sequence>
	</xsd:complexType>
	
</xsd:schema>
